[Snort-users] RE: libpcap-2003.05.29 requirement for Snort

PaulinVT at ...661... PaulinVT at ...661...
Fri May 30 08:05:09 EDT 2003


Hi,

I am attempting to install libpcap-2003.05.29 and when I performed the make 
command RedHat 7.3 generated the following error message.

[root at ...9335... libpcap-2003.05.29]# make
gcc -O2 -I.  -DHAVE_CONFIG_H -c ./pcap.c
./pcap.c:143: conflicting types for `pcap_next_ex'
pcap.h:180: previous declaration of `pcap_next_ex'
./pcap.c: In function `pcap_next_ex':
./pcap.c:147: warning: assignment from incompatible pointer type
make: *** [pcap.o] Error 1

The reason for this library is that it is a required for the latest version 
of Snort.

Any assistance would be appreciated.



Respectfully,
Paul J. Bugeja

Experience is not what happens to you; it is what you do with what happens to 
you.
– Aldous Huxley

Paul J. Bugeja
234-3 Woodbine by the Lake
Colchester, VT 05446, USA
Phone - (802)864-5767





    
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20030530/1732b212/attachment.html>


More information about the Snort-users mailing list